5

ATI Proprietary Drivers - Last attempt

view full story
linux-howto

http://forums.opensuse.org – I am trying for the last time to get the propretary ATI drivers working on my (brother's) Dell Latitude D531. This laptop uses ATI's integrated Mobility Radeon X1250 chipset (RS690). I downloaded the 9.3 driver from ATI; 9.3 is the last release to support this chipset, which is now considered "legacy" and is not supported by newer releases. ATI Catalyst™ Proprietary Display Driver However, I paused at this point to post here because of a version mismatch; openSUSE 11.2 (which I am running) uses X.Org X Server 1.6.5. The latest Xorg version supported by the ATI driver is 7.4. Is this a show stopper? I am hesitant to mess up my system by using a incompatible driver? If this is the case, I may have to settle for an older Ubuntu release; probably 8.04 (LTS); it still uses the older Xorg and will be supported long enough for this machine to wear itself out and require replacement... I hope... Any ideas? Anyone else using this chipset? I should note that the machine is working fine out of the box (though I needed to run b43fwcutter to get wireless), just no 3D support. (Distributions)